Tag: pip

Обновление python3.4 до python3.6 на ubuntu breaks pip

Я пытаюсь установить python3.6 на свою машину после того, как в настоящее время у меня есть python3.4. Однако после установки, пытающейся запустить pip под python3.6, возникает ошибка: Traceback (most recent call last): File "pip3", line 7, in <module> from pip import main File "/usr/lib/python3/dist-packages/pip/__init__.py", line 59, in <module> from pip.log import logger File "/usr/lib/python3/dist-packages/pip/log.py", line […]

Управление пипсом в среде RPM

Для наших приложений prod мы управляем всеми пакетами в RPM. В идеальном мире, единственном в мире, это прекрасно. Тем не менее, каждый язык или структура в последнее время развертывают свои собственные менеджеры пакетов. Например, для python я почти всегда использую pip, а затем снова собираю пакеты для rpm при переходе на производство. То же самое […]

Как обновить зависимость в проекте Python на Heroku

Для моего (Django) проекта на Heroku я обновил одну из зависимостей в файле requirements.txt более новой версии, и теперь я хочу, чтобы Heroku обновил установленную версию. Я пытался: heroku run "pip install -r requirements.txt –upgrade -E ." Который плюет правый вывод на терминал, но, по-видимому, ничего не обновляет; когда я запускаю: heroku run "pip freeze […]

Принуждение `pip` перекомпилировать ранее установленный пакет (numpy) после переключения на другой двоичный код Python

Этот вопрос представляет собой вопрос о моей конкретной проблеме (который я нашел в работе, так что это не проблема), как и в отношении общего процесса, который я использую. Настройка (часть, которая работает): У меня есть Python 2.7.9, установленный локально на моем Ubuntu 14.04, и у меня есть virtualenv, в котором я его запускаю. Все очень […]

Pip install from pypi works, но из testpypi не удается (не может найти требования)

Я пытаюсь создать свой первый пакет python. Чтобы не испортить всю сделку, я пытался загрузить ее на сервер testpypi. Кажется, что все хорошо (sdist создает и загружает не показывает никаких ошибок). Однако, когда я пытаюсь установить его на новый virtualenv с https://testpypi.python.org/pypi , он жалуется на мои требования к установке, например: pip install -i https://testpypi.python.org/pypi […]

Пакет устанавливает пакет python в определенный каталог, отличный от установленного по умолчанию местоположения

По умолчанию местоположение, где пакеты пакетов устанавливаются в моей системе Ubuntu, это «/usr/local/lib/pytho2.7/dist-packages/», который, по моему мнению, является стандартным по умолчанию. Я использую Enthought python distribution (EPD not canopy) и хотел бы установить пакет в EPD, поскольку я обычно работаю с питоном из дистрибутива EPD в своей системе. Я хотел бы знать, в какой каталог […]

Может ли pip использовать существующие пакеты, а не загружать их снова?

Я работаю над новым проектом, которому нужен новый virtualenv. Когда я делаю pip install -r requirements.txt, он загружает пакеты снова и снова, даже если эти пакеты уже существуют на виртуальном сервере предыдущего проекта. Есть ли способ сказать pip, чтобы получить пакеты от другого virtualenv?

Использование Pip для установки пакетов в среду Anaconda

conda 4.2.13 MacOSX 10.12.1 Я пытаюсь установить пакеты из pip в новую среду (виртуальную), созданную с помощью anaconda. В документах Anaconda говорится, что это прекрасно. Это делается так же, как и для virtualenv. Активируйте среду, в которую вы хотите поместить программу, затем выполните команду install program … Я создал пустую среду в Ananconda следующим образом: […]

Установка Twisted through pip на одном сервере

Я настраиваю virtualenv на новом сервере, и когда я использовал pip в нашем файле требований, он продолжал умирать на Twisted. Я прокомментировал строку Twisted, и все остальное было прекрасно. В командной строке это результат, который я вижу при попытке установить Twisted (та же ошибка, которую я вижу при запуске всего файла требований после того, как […]

Python pip говорит: pkg_resources.DistributionNotFound: pip == 1.4.1

Я просто сделал чистую установку Ubuntu 14.04, а также установил pycharm. Pycharm сказал, что setuptools и pip не были установлены и предложены для его установки. Я просто щелкнул «Ÿes» и, казалось, установил его. Немного после этого мне захотелось установить Flask (что было потрясающе кстати) с помощью pip, поэтому я сделал sudo pip install flask . […]

Python - лучший язык программирования в мире.